'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelTypes = require('babel-types');

var _babelTypes2 = _interopRequireDefault(_babelTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (t, path, styleNameAttribute, importedHelperIndentifier, styleModuleImportMapIdentifier) => {
  const expressionContainerValue = styleNameAttribute.value;
  const classNameAttribute = path.node.openingElement.attributes.find(attribute => {
    return typeof attribute.name !== 'undefined' && attribute.name.name === 'className';
  });
  const classNameAttributeValue = classNameAttribute ? classNameAttribute.value.value : '';

  if (classNameAttribute) {
    path.node.openingElement.attributes.splice(path.node.openingElement.attributes.indexOf(classNameAttribute), 1);
  }

  const styleNameExpression = t.callExpression(importedHelperIndentifier, [expressionContainerValue.expression, styleModuleImportMapIdentifier]);

  styleNameAttribute.value = t.jSXExpressionContainer(classNameAttribute ? t.binaryExpression('+', t.stringLiteral(classNameAttributeValue + ' '), styleNameExpression) : styleNameExpression);
  styleNameAttribute.name.name = 'className';
};
//# sourceMappingURL=replaceJsxExpressionContainer.js.map